vapier      14/04/25 22:16:35

  Modified:             qemu-9999.ebuild qemu-2.0.0.ebuild ChangeLog
  Log:
  Simplify style for generating USE flags and configure options -- should be no 
functional changes here.
  
  (Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key 
D2E96200)

Revision  Changes    Path
1.68                 app-emulation/qemu/qemu-9999.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-emulation/qemu/qemu-9999.ebuild?rev=1.68&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-emulation/qemu/qemu-9999.ebuild?rev=1.68&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-emulation/qemu/qemu-9999.ebuild?r1=1.67&r2=1.68

Index: qemu-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-emulation/qemu/qemu-9999.ebuild,v
retrieving revision 1.67
retrieving revision 1.68
diff -u -r1.67 -r1.68
--- qemu-9999.ebuild    22 Apr 2014 00:22:43 -0000      1.67
+++ qemu-9999.ebuild    25 Apr 2014 22:16:35 -0000      1.68
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/qemu/qemu-9999.ebuild,v 1.67 
2014/04/22 00:22:43 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/qemu/qemu-9999.ebuild,v 1.68 
2014/04/25 22:16:35 vapier Exp $
 
 EAPI=5
 
@@ -42,23 +42,15 @@
 IUSE_SOFTMMU_TARGETS="${COMMON_TARGETS} lm32 moxie ppcemb xtensa xtensaeb"
 IUSE_USER_TARGETS="${COMMON_TARGETS} armeb mipsn32 mipsn32el ppc64abi32 
sparc32plus"
 
-# Setup the default SoftMMU targets, while using the loops
-# below to setup the other targets.
-REQUIRED_USE="|| ("
-
-for target in ${IUSE_SOFTMMU_TARGETS}; do
-       IUSE="${IUSE} qemu_softmmu_targets_${target}"
-       REQUIRED_USE="${REQUIRED_USE} qemu_softmmu_targets_${target}"
-done
-
-for target in ${IUSE_USER_TARGETS}; do
-       IUSE="${IUSE} qemu_user_targets_${target}"
-       REQUIRED_USE="${REQUIRED_USE} qemu_user_targets_${target}"
-done
-REQUIRED_USE="${REQUIRED_USE} )"
-
-# Block USE flag configurations known to not work
-REQUIRED_USE="${REQUIRED_USE}
+use_targets="
+       $(printf ' qemu_softmmu_targets_%s' ${IUSE_SOFTMMU_TARGETS})
+       $(printf ' qemu_user_targets_%s' ${IUSE_USER_TARGETS})
+"
+IUSE+=" ${use_targets}"
+
+# Require at least one softmmu or user target.
+# Block USE flag configurations known to not work.
+REQUIRED_USE="|| ( ${use_targets} )
        python? ( ${PYTHON_REQUIRED_USE} )
        qemu_softmmu_targets_arm? ( fdt )
        qemu_softmmu_targets_microblaze? ( fdt )
@@ -255,137 +247,139 @@
 # we are using.
 #
 qemu_src_configure() {
-       debug-print-function $FUNCNAME "$@"
+       debug-print-function ${FUNCNAME} "$@"
 
        local buildtype=$1
        local builddir=$2
-       local conf_opts audio_opts
        local static_flag="static-${buildtype}"
 
-       conf_opts="--prefix=/usr"
-       conf_opts+=" --sysconfdir=/etc"
-       conf_opts+=" --libdir=/usr/$(get_libdir)"
-       conf_opts+=" --docdir=/usr/share/doc/${PF}/html"
-       conf_opts+=" --disable-bsd-user"
-       conf_opts+=" --disable-guest-agent"
-       conf_opts+=" --disable-strip"
-       conf_opts+=" --disable-werror"
-       conf_opts+=" --python=${PYTHON}"
-
        # audio options
-       audio_opts="oss"
+       local audio_opts="oss"
        use alsa && audio_opts="alsa,${audio_opts}"
        use sdl && audio_opts="sdl,${audio_opts}"
        use pulseaudio && audio_opts="pa,${audio_opts}"
 
-       if [[ ${buildtype} == "user" ]]; then
-               conf_opts+=" --enable-linux-user"
-               conf_opts+=" --disable-system"
-               conf_opts+=" --target-list=${user_targets}"
-               conf_opts+=" --disable-blobs"
-               conf_opts+=" --disable-bluez"
-               conf_opts+=" --disable-curses"
-               conf_opts+=" --disable-kvm"
-               conf_opts+=" --disable-libiscsi"
-               conf_opts+=" --disable-glusterfs"
-               conf_opts+=" $(use_enable seccomp)"
-               conf_opts+=" --disable-sdl"
-               conf_opts+=" --disable-smartcard-nss"
-               conf_opts+=" --disable-tools"
-               conf_opts+=" --disable-vde"
-               conf_opts+=" --disable-libssh2"
-               conf_opts+=" --disable-libusb"
-       fi
-
-       if [[ ${buildtype} == "softmmu" ]]; then
-               conf_opts+=" --disable-linux-user"
-               conf_opts+=" --enable-system"
-               conf_opts+=" --with-system-pixman"
-               conf_opts+=" --target-list=${softmmu_targets}"
-               conf_opts+=" $(use_enable bluetooth bluez)"
-               conf_opts+=" $(use_enable gtk)"
-               use gtk && conf_opts+=" --with-gtkabi=3.0"
-               conf_opts+=" $(use_enable sdl)"
-               conf_opts+=" $(use_enable aio linux-aio)"
-               conf_opts+=" $(use_enable accessibility brlapi)"
-               conf_opts+=" $(use_enable caps cap-ng)"
-               conf_opts+=" $(use_enable curl)"
-               conf_opts+=" $(use_enable fdt)"
-               conf_opts+=" $(use_enable glusterfs)"
-               conf_opts+=" $(use_enable iscsi libiscsi)"
-               conf_opts+=" $(use_enable jpeg vnc-jpeg)"
-               conf_opts+=" $(use_enable kernel_linux kvm)"
-               conf_opts+=" $(use_enable ncurses curses)"
-               conf_opts+=" $(use_enable opengl glx)"
-               conf_opts+=" $(use_enable png vnc-png)"
-               conf_opts+=" $(use_enable rbd)"
-               conf_opts+=" $(use_enable sasl vnc-sasl)"
-               conf_opts+=" $(use_enable seccomp)"
-               conf_opts+=" $(use_enable smartcard smartcard-nss)"
-               conf_opts+=" $(use_enable spice)"
-               conf_opts+=" $(use_enable ssh libssh2)"
-               conf_opts+=" $(use_enable tls vnc-tls)"
-               conf_opts+=" $(use_enable tls vnc-ws)"
-               conf_opts+=" $(use_enable usb libusb)"
-               conf_opts+=" $(use_enable usbredir usb-redir)"
-               conf_opts+=" $(use_enable uuid)"
-               conf_opts+=" $(use_enable vde)"
-               conf_opts+=" $(use_enable vhost-net)"
-               conf_opts+=" $(use_enable virtfs)"
-               conf_opts+=" $(use_enable vnc)"
-               conf_opts+=" $(use_enable xattr attr)"
-               conf_opts+=" $(use_enable xen)"
-               conf_opts+=" $(use_enable xen xen-pci-passthrough)"
-               conf_opts+=" $(use_enable xfs xfsctl)"
-               conf_opts+=" --audio-drv-list=${audio_opts}"
-       fi
-
-       conf_opts+=" $(use_enable debug debug-info)"
-       conf_opts+=" $(use_enable debug debug-tcg)"
-       conf_opts+=" --enable-docs"
-       conf_opts+=" $(use_enable tci tcg-interpreter)"
+       local conf_opts=(
+               --prefix=/usr
+               --sysconfdir=/etc
+               --libdir=/usr/$(get_libdir)
+               --docdir=/usr/share/doc/${PF}/html
+               --disable-bsd-user
+               --disable-guest-agent
+               --disable-strip
+               --disable-werror
+               --python="${PYTHON}"
+               --cc="$(tc-getCC)"
+               --host-cc="$(tc-getBUILD_CC)"
+               $(use_enable debug debug-info)
+               $(use_enable debug debug-tcg)
+               --enable-docs
+               $(use_enable tci tcg-interpreter)
+       )
 
-       # Add support for SystemTAP
-       use systemtap && conf_opts="${conf_opts} --enable-trace-backend=dtrace"
+       case ${buildtype} in
+       user)
+               conf_opts+=(
+                       --enable-linux-user
+                       --disable-system
+                       --target-list="${user_targets}"
+                       --disable-blobs
+                       --disable-bluez
+                       --disable-curses
+                       --disable-kvm
+                       --disable-libiscsi
+                       --disable-glusterfs
+                       $(use_enable seccomp)
+                       --disable-sdl
+                       --disable-smartcard-nss
+                       --disable-tools
+                       --disable-vde
+                       --disable-libssh2
+                       --disable-libusb
+               )
+               ;;
+       softmmu)
+               conf_opts+=(
+                       --disable-linux-user
+                       --enable-system
+                       --with-system-pixman
+                       --target-list="${softmmu_targets}"
+                       $(use_enable bluetooth bluez)
+                       $(use_enable gtk)
+                       $(use_enable sdl)
+                       $(use_enable aio linux-aio)
+                       $(use_enable accessibility brlapi)
+                       $(use_enable caps cap-ng)
+                       $(use_enable curl)
+                       $(use_enable fdt)
+                       $(use_enable glusterfs)
+                       $(use_enable iscsi libiscsi)
+                       $(use_enable jpeg vnc-jpeg)
+                       $(use_enable kernel_linux kvm)
+                       $(use_enable ncurses curses)
+                       $(use_enable opengl glx)
+                       $(use_enable png vnc-png)
+                       $(use_enable rbd)
+                       $(use_enable sasl vnc-sasl)
+                       $(use_enable seccomp)
+                       $(use_enable smartcard smartcard-nss)
+                       $(use_enable spice)
+                       $(use_enable ssh libssh2)
+                       $(use_enable tls vnc-tls)
+                       $(use_enable tls vnc-ws)
+                       $(use_enable usb libusb)
+                       $(use_enable usbredir usb-redir)
+                       $(use_enable uuid)
+                       $(use_enable vde)
+                       $(use_enable vhost-net)
+                       $(use_enable virtfs)
+                       $(use_enable vnc)
+                       $(use_enable xattr attr)
+                       $(use_enable xen)
+                       $(use_enable xen xen-pci-passthrough)
+                       $(use_enable xfs xfsctl)
+                       --audio-drv-list="${audio_opts}"
+               )
+               use gtk && conf_opts+=( --with-gtkabi=3.0 )
+               ;;
+       esac
 
-       # Add support for static builds
-       use ${static_flag} && conf_opts="${conf_opts} --static --disable-pie"
+       # Add support for SystemTAP
+       use systemtap && conf_opts+=( --enable-trace-backend=dtrace )
 
        # We always want to attempt to build with PIE support as it results
        # in a more secure binary. But it doesn't work with static or if
        # the current GCC doesn't have PIE support.
-       if ! use ${static_flag} && gcc-specs-pie; then
-               conf_opts="${conf_opts} --enable-pie"
+       if use ${static_flag}; then
+               conf_opts+=( --static --disable-pie )
+       else
+               gcc-specs-pie && conf_opts+=( --enable-pie )
        fi
 
-       einfo "./configure ${conf_opts}"
-       cd ${builddir}
-       ../configure \
-               --cc="$(tc-getCC)" \
-               --host-cc="$(tc-getBUILD_CC)" \
-               ${conf_opts} \
-               || die "configure failed"
-
-               # FreeBSD's kernel does not support QEMU assigning/grabbing
-               # host USB devices yet
-               use kernel_FreeBSD && \
-                       sed -E -e "s|^(HOST_USB=)bsd|\1stub|" -i 
"${S}"/config-host.mak
+       einfo "./configure ${conf_opts[*]}"
+       cd "${builddir}"
+       ../configure "${conf_opts[@]}" || die "configure failed"
+
+       # FreeBSD's kernel does not support QEMU assigning/grabbing
+       # host USB devices yet
+       use kernel_FreeBSD && \
+               sed -i -E -e "s|^(HOST_USB=)bsd|\1stub|" "${S}"/config-host.mak
 }
 
 src_configure() {
+       local target
+
        python_export_best
 
        softmmu_targets=
        user_targets=
 
        for target in ${IUSE_SOFTMMU_TARGETS} ; do
-               use "qemu_softmmu_targets_${target}" && \
-               softmmu_targets="${softmmu_targets},${target}-softmmu"
+               use "qemu_softmmu_targets_${target}" && 
softmmu_targets+=",${target}-softmmu"
        done
 
        for target in ${IUSE_USER_TARGETS} ; do
-               use "qemu_user_targets_${target}" && \
-               user_targets="${user_targets},${target}-linux-user"
+               use "qemu_user_targets_${target}" && 
user_targets+=",${target}-linux-user"
        done
 
        [[ -n ${softmmu_targets} ]] && \



1.4                  app-emulation/qemu/qemu-2.0.0.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-emulation/qemu/qemu-2.0.0.ebuild?rev=1.4&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-emulation/qemu/qemu-2.0.0.ebuild?rev=1.4&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-emulation/qemu/qemu-2.0.0.ebuild?r1=1.3&r2=1.4

Index: qemu-2.0.0.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-emulation/qemu/qemu-2.0.0.ebuild,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- qemu-2.0.0.ebuild   22 Apr 2014 00:22:43 -0000      1.3
+++ qemu-2.0.0.ebuild   25 Apr 2014 22:16:35 -0000      1.4
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/qemu/qemu-2.0.0.ebuild,v 1.3 
2014/04/22 00:22:43 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/qemu/qemu-2.0.0.ebuild,v 1.4 
2014/04/25 22:16:35 vapier Exp $
 
 EAPI=5
 
@@ -42,23 +42,15 @@
 IUSE_SOFTMMU_TARGETS="${COMMON_TARGETS} lm32 moxie ppcemb xtensa xtensaeb"
 IUSE_USER_TARGETS="${COMMON_TARGETS} armeb mipsn32 mipsn32el ppc64abi32 
sparc32plus"
 
-# Setup the default SoftMMU targets, while using the loops
-# below to setup the other targets.
-REQUIRED_USE="|| ("
-
-for target in ${IUSE_SOFTMMU_TARGETS}; do
-       IUSE="${IUSE} qemu_softmmu_targets_${target}"
-       REQUIRED_USE="${REQUIRED_USE} qemu_softmmu_targets_${target}"
-done
-
-for target in ${IUSE_USER_TARGETS}; do
-       IUSE="${IUSE} qemu_user_targets_${target}"
-       REQUIRED_USE="${REQUIRED_USE} qemu_user_targets_${target}"
-done
-REQUIRED_USE="${REQUIRED_USE} )"
-
-# Block USE flag configurations known to not work
-REQUIRED_USE="${REQUIRED_USE}
+use_targets="
+       $(printf ' qemu_softmmu_targets_%s' ${IUSE_SOFTMMU_TARGETS})
+       $(printf ' qemu_user_targets_%s' ${IUSE_USER_TARGETS})
+"
+IUSE+=" ${use_targets}"
+
+# Require at least one softmmu or user target.
+# Block USE flag configurations known to not work.
+REQUIRED_USE="|| ( ${use_targets} )
        python? ( ${PYTHON_REQUIRED_USE} )
        qemu_softmmu_targets_arm? ( fdt )
        qemu_softmmu_targets_microblaze? ( fdt )
@@ -255,137 +247,139 @@
 # we are using.
 #
 qemu_src_configure() {
-       debug-print-function $FUNCNAME "$@"
+       debug-print-function ${FUNCNAME} "$@"
 
        local buildtype=$1
        local builddir=$2
-       local conf_opts audio_opts
        local static_flag="static-${buildtype}"
 
-       conf_opts="--prefix=/usr"
-       conf_opts+=" --sysconfdir=/etc"
-       conf_opts+=" --libdir=/usr/$(get_libdir)"
-       conf_opts+=" --docdir=/usr/share/doc/${PF}/html"
-       conf_opts+=" --disable-bsd-user"
-       conf_opts+=" --disable-guest-agent"
-       conf_opts+=" --disable-strip"
-       conf_opts+=" --disable-werror"
-       conf_opts+=" --python=${PYTHON}"
-
        # audio options
-       audio_opts="oss"
+       local audio_opts="oss"
        use alsa && audio_opts="alsa,${audio_opts}"
        use sdl && audio_opts="sdl,${audio_opts}"
        use pulseaudio && audio_opts="pa,${audio_opts}"
 
-       if [[ ${buildtype} == "user" ]]; then
-               conf_opts+=" --enable-linux-user"
-               conf_opts+=" --disable-system"
-               conf_opts+=" --target-list=${user_targets}"
-               conf_opts+=" --disable-blobs"
-               conf_opts+=" --disable-bluez"
-               conf_opts+=" --disable-curses"
-               conf_opts+=" --disable-kvm"
-               conf_opts+=" --disable-libiscsi"
-               conf_opts+=" --disable-glusterfs"
-               conf_opts+=" $(use_enable seccomp)"
-               conf_opts+=" --disable-sdl"
-               conf_opts+=" --disable-smartcard-nss"
-               conf_opts+=" --disable-tools"
-               conf_opts+=" --disable-vde"
-               conf_opts+=" --disable-libssh2"
-               conf_opts+=" --disable-libusb"
-       fi
-
-       if [[ ${buildtype} == "softmmu" ]]; then
-               conf_opts+=" --disable-linux-user"
-               conf_opts+=" --enable-system"
-               conf_opts+=" --with-system-pixman"
-               conf_opts+=" --target-list=${softmmu_targets}"
-               conf_opts+=" $(use_enable bluetooth bluez)"
-               conf_opts+=" $(use_enable gtk)"
-               use gtk && conf_opts+=" --with-gtkabi=3.0"
-               conf_opts+=" $(use_enable sdl)"
-               conf_opts+=" $(use_enable aio linux-aio)"
-               conf_opts+=" $(use_enable accessibility brlapi)"
-               conf_opts+=" $(use_enable caps cap-ng)"
-               conf_opts+=" $(use_enable curl)"
-               conf_opts+=" $(use_enable fdt)"
-               conf_opts+=" $(use_enable glusterfs)"
-               conf_opts+=" $(use_enable iscsi libiscsi)"
-               conf_opts+=" $(use_enable jpeg vnc-jpeg)"
-               conf_opts+=" $(use_enable kernel_linux kvm)"
-               conf_opts+=" $(use_enable ncurses curses)"
-               conf_opts+=" $(use_enable opengl glx)"
-               conf_opts+=" $(use_enable png vnc-png)"
-               conf_opts+=" $(use_enable rbd)"
-               conf_opts+=" $(use_enable sasl vnc-sasl)"
-               conf_opts+=" $(use_enable seccomp)"
-               conf_opts+=" $(use_enable smartcard smartcard-nss)"
-               conf_opts+=" $(use_enable spice)"
-               conf_opts+=" $(use_enable ssh libssh2)"
-               conf_opts+=" $(use_enable tls vnc-tls)"
-               conf_opts+=" $(use_enable tls vnc-ws)"
-               conf_opts+=" $(use_enable usb libusb)"
-               conf_opts+=" $(use_enable usbredir usb-redir)"
-               conf_opts+=" $(use_enable uuid)"
-               conf_opts+=" $(use_enable vde)"
-               conf_opts+=" $(use_enable vhost-net)"
-               conf_opts+=" $(use_enable virtfs)"
-               conf_opts+=" $(use_enable vnc)"
-               conf_opts+=" $(use_enable xattr attr)"
-               conf_opts+=" $(use_enable xen)"
-               conf_opts+=" $(use_enable xen xen-pci-passthrough)"
-               conf_opts+=" $(use_enable xfs xfsctl)"
-               conf_opts+=" --audio-drv-list=${audio_opts}"
-       fi
-
-       conf_opts+=" $(use_enable debug debug-info)"
-       conf_opts+=" $(use_enable debug debug-tcg)"
-       conf_opts+=" --enable-docs"
-       conf_opts+=" $(use_enable tci tcg-interpreter)"
+       local conf_opts=(
+               --prefix=/usr
+               --sysconfdir=/etc
+               --libdir=/usr/$(get_libdir)
+               --docdir=/usr/share/doc/${PF}/html
+               --disable-bsd-user
+               --disable-guest-agent
+               --disable-strip
+               --disable-werror
+               --python="${PYTHON}"
+               --cc="$(tc-getCC)"
+               --host-cc="$(tc-getBUILD_CC)"
+               $(use_enable debug debug-info)
+               $(use_enable debug debug-tcg)
+               --enable-docs
+               $(use_enable tci tcg-interpreter)
+       )
 
-       # Add support for SystemTAP
-       use systemtap && conf_opts="${conf_opts} --enable-trace-backend=dtrace"
+       case ${buildtype} in
+       user)
+               conf_opts+=(
+                       --enable-linux-user
+                       --disable-system
+                       --target-list="${user_targets}"
+                       --disable-blobs
+                       --disable-bluez
+                       --disable-curses
+                       --disable-kvm
+                       --disable-libiscsi
+                       --disable-glusterfs
+                       $(use_enable seccomp)
+                       --disable-sdl
+                       --disable-smartcard-nss
+                       --disable-tools
+                       --disable-vde
+                       --disable-libssh2
+                       --disable-libusb
+               )
+               ;;
+       softmmu)
+               conf_opts+=(
+                       --disable-linux-user
+                       --enable-system
+                       --with-system-pixman
+                       --target-list="${softmmu_targets}"
+                       $(use_enable bluetooth bluez)
+                       $(use_enable gtk)
+                       $(use_enable sdl)
+                       $(use_enable aio linux-aio)
+                       $(use_enable accessibility brlapi)
+                       $(use_enable caps cap-ng)
+                       $(use_enable curl)
+                       $(use_enable fdt)
+                       $(use_enable glusterfs)
+                       $(use_enable iscsi libiscsi)
+                       $(use_enable jpeg vnc-jpeg)
+                       $(use_enable kernel_linux kvm)
+                       $(use_enable ncurses curses)
+                       $(use_enable opengl glx)
+                       $(use_enable png vnc-png)
+                       $(use_enable rbd)
+                       $(use_enable sasl vnc-sasl)
+                       $(use_enable seccomp)
+                       $(use_enable smartcard smartcard-nss)
+                       $(use_enable spice)
+                       $(use_enable ssh libssh2)
+                       $(use_enable tls vnc-tls)
+                       $(use_enable tls vnc-ws)
+                       $(use_enable usb libusb)
+                       $(use_enable usbredir usb-redir)
+                       $(use_enable uuid)
+                       $(use_enable vde)
+                       $(use_enable vhost-net)
+                       $(use_enable virtfs)
+                       $(use_enable vnc)
+                       $(use_enable xattr attr)
+                       $(use_enable xen)
+                       $(use_enable xen xen-pci-passthrough)
+                       $(use_enable xfs xfsctl)
+                       --audio-drv-list="${audio_opts}"
+               )
+               use gtk && conf_opts+=( --with-gtkabi=3.0 )
+               ;;
+       esac
 
-       # Add support for static builds
-       use ${static_flag} && conf_opts="${conf_opts} --static --disable-pie"
+       # Add support for SystemTAP
+       use systemtap && conf_opts+=( --enable-trace-backend=dtrace )
 
        # We always want to attempt to build with PIE support as it results
        # in a more secure binary. But it doesn't work with static or if
        # the current GCC doesn't have PIE support.
-       if ! use ${static_flag} && gcc-specs-pie; then
-               conf_opts="${conf_opts} --enable-pie"
+       if use ${static_flag}; then
+               conf_opts+=( --static --disable-pie )
+       else
+               gcc-specs-pie && conf_opts+=( --enable-pie )
        fi
 
-       einfo "./configure ${conf_opts}"
-       cd ${builddir}
-       ../configure \
-               --cc="$(tc-getCC)" \
-               --host-cc="$(tc-getBUILD_CC)" \
-               ${conf_opts} \
-               || die "configure failed"
-
-               # FreeBSD's kernel does not support QEMU assigning/grabbing
-               # host USB devices yet
-               use kernel_FreeBSD && \
-                       sed -E -e "s|^(HOST_USB=)bsd|\1stub|" -i 
"${S}"/config-host.mak
+       einfo "./configure ${conf_opts[*]}"
+       cd "${builddir}"
+       ../configure "${conf_opts[@]}" || die "configure failed"
+
+       # FreeBSD's kernel does not support QEMU assigning/grabbing
+       # host USB devices yet
+       use kernel_FreeBSD && \
+               sed -i -E -e "s|^(HOST_USB=)bsd|\1stub|" "${S}"/config-host.mak
 }
 
 src_configure() {
+       local target
+
        python_export_best
 
        softmmu_targets=
        user_targets=
 
        for target in ${IUSE_SOFTMMU_TARGETS} ; do
-               use "qemu_softmmu_targets_${target}" && \
-               softmmu_targets="${softmmu_targets},${target}-softmmu"
+               use "qemu_softmmu_targets_${target}" && 
softmmu_targets+=",${target}-softmmu"
        done
 
        for target in ${IUSE_USER_TARGETS} ; do
-               use "qemu_user_targets_${target}" && \
-               user_targets="${user_targets},${target}-linux-user"
+               use "qemu_user_targets_${target}" && 
user_targets+=",${target}-linux-user"
        done
 
        [[ -n ${softmmu_targets} ]] && \



1.256                app-emulation/qemu/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-emulation/qemu/ChangeLog?rev=1.256&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-emulation/qemu/ChangeLog?rev=1.256&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-emulation/qemu/ChangeLog?r1=1.255&r2=1.256

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-emulation/qemu/ChangeLog,v
retrieving revision 1.255
retrieving revision 1.256
diff -u -r1.255 -r1.256
--- ChangeLog   22 Apr 2014 00:22:43 -0000      1.255
+++ ChangeLog   25 Apr 2014 22:16:35 -0000      1.256
@@ -1,6 +1,11 @@
 # ChangeLog for app-emulation/qemu
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/qemu/ChangeLog,v 1.255 
2014/04/22 00:22:43 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/qemu/ChangeLog,v 1.256 
2014/04/25 22:16:35 vapier Exp $
+
+  25 Apr 2014; Mike Frysinger <[email protected]> qemu-2.0.0.ebuild,
+  qemu-9999.ebuild:
+  Simplify style for generating USE flags and configure options -- should be no
+  functional changes here.
 
   22 Apr 2014; Mike Frysinger <[email protected]> qemu-2.0.0.ebuild,
   qemu-9999.ebuild:




Reply via email to